## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name artifacts
%global date 20240518

Name:           %{pypi_name}
Version:        0.0.%{date}
Release:        %autorelease
Summary:        Collection of digital forensic artifacts

# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:        Apache-2.0
URL:            https://github.com/ForensicArtifacts/artifacts
Source0:        %{url}/releases/download/%{date}/%{pypi_name}-%{date}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pyyaml

%description
A free, community-sourced, machine-readable knowledge base of digital
forensic artifacts that the world can use both as an information source
and within other tools.

If you'd like to use the artifacts in your own tools, all you need to be
able to do is read YAML. That is it, no other dependencies. The Python
code in this project is just used to validate all the artifacts to make
sure they follow the specification.

%prep
%autosetup -n %{pypi_name}-%{date}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{_defaultdocdir}/%{pypi_name}/LICENSE

%check
PYTHONPATH=%{buildroot}/%{python3_sitelib}/ pytest-%{python3_version} -v tests

%files
%doc ACKNOWLEDGEMENTS AUTHORS README
%license LICENSE
%{_bindir}/{stats,validator}
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{date}*.egg-info

%changelog
## START: Generated by rpmautospec
* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 0.0.20240518-3
- convert ASL 2.0 license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20240518-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 16 2024 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20240518-1
- Update to latest upstream release (closes rhbz#2281371)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.0.20230928-2
- Rebuilt for Python 3.13

* Mon Apr 08 2024 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20230928-1
- Update to latest upstream release (closes rhbz#2187582)

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20221219-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20221219-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20221219-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.0.20221219-3
- Rebuilt for Python 3.12

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20221219-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 09 2023 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20221219-1
- Update to latest upstream release 20221219 (closes rhbz#2135006       )

* Fri Aug 19 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20220615-1
- Update to latest upstream release 20220615 (closes rhbz#2080459)

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20220219-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.0.20220219-2
- Rebuilt for Python 3.11

* Wed Feb 23 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20220219-1
- Update to latest usptream release 20220219 (closes rhbz#2056176)

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20211205-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 05 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20211205-1
- Update to latest upstream release 20211205 (closes rhbz#2020957)

* Wed Oct 13 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20211012-1
- Update to latest upstream release 20210620 (closes rhbz#2010165)

* Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20210620-1
- * Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 20210620-1
  - Update to latest upstream release 20210620 (rhbz#1946090)

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20201106-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20201106-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.0.20201106-3
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20201106-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20201106-1
- * Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> -
  0.0.2021106-1 - Update to latest upstream release 20201106

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20200515-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20200515-1
- * Fri Jun 26 2020 Fabian Affolter <mail@fabian-affolter.ch> -
  0.0.20200515-1 - UPdate to latest upstream release 20200515

* Fri Jun 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20200118-3
- * Fri Jun 26 2020 Fabian Affolter <mail@fabian-affolter.ch> -
  0.0.20200118-3 - Add python3-setuptools as BR

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 0.0.20200118-2
- Rebuilt for Python 3.9

* Fri Feb 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20200118-1
- * Fri Feb 28 2020 Fabian Affolter <mail@fabian-affolter.ch> -
  0.0.20200118-1 - Update to latest upstream release 20200118

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20190320-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 0.0.20190320-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 0.0.20190320-3
- Rebuilt for Python 3.8

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20190320-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.20190320-1
- * Wed Jun 19 2019 Fabian Affolter <mail@fabian-affolter.ch> -
  0.0.20190320-1 - Update version (rhbz#1720865)
## END: Generated by rpmautospec
